Integrate the web services plugin into Mahara core

Bug #1393530 reported by Kristina Hoeppner on 2014-11-17
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Robert Lyon

Bug Description

Integrate the web services plugin https://wiki.mahara.org/index.php/Plugins/Artefact/WebServices into Mahara as first step in the MNet replacement work.

https://wiki.mahara.org/index.php/Developer_Area/Specifications_in_Development/MNet_replacement

A code audit will be performed, the code merged in.

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/3987

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/3988

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4032

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3988
Committed: http://gitorious.org/mahara/mahara/commit/b7650d06432057d19d8bf6592b9c1e43eda9df14
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit b7650d06432057d19d8bf6592b9c1e43eda9df14
Author: Robert Lyon <email address hidden>
Date: Tue Nov 18 12:26:46 2014 +1300

Handling webservices validate_password better (Bug 1393530)

Getting it to use the internal validate_password() function instead of
just repeating what it does

Change-Id: Iad1d39a1f7a212ec425ce5ed2a09d7409aa9fd88
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4032
Committed: http://gitorious.org/mahara/mahara/commit/431a6613a6522af1fb47fdfdc8331ea0454d2cb1
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit 431a6613a6522af1fb47fdfdc8331ea0454d2cb1
Author: Robert Lyon <email address hidden>
Date: Thu Nov 20 10:36:27 2014 +1300

Tidying up the initial code to mahara standards (Bug #1393530)

Change-Id: I398479c34771df1978a98ac42b1b866afe4e7917
Signed-off-by: Robert Lyon <email address hidden>

Reviewed: https://reviews.mahara.org/3989
Committed: http://gitorious.org/mahara/mahara/commit/0d42d6458c19d1f3f1a0fda7a12756c0abd6a3c7
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit 0d42d6458c19d1f3f1a0fda7a12756c0abd6a3c7
Author: Robert Lyon <email address hidden>
Date: Tue Nov 18 12:32:41 2014 +1300

Restricting the institution get members (Bug 1393530)

to only those in the institution indicated

Change-Id: Ic4292676017af5f6aecdb491880901e84027dca6
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3987
Committed: http://gitorious.org/mahara/mahara/commit/e099440c5839516a61863809683ffcfbd92f9740
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit e099440c5839516a61863809683ffcfbd92f9740
Author: Piers Harding <email address hidden>
Date: Tue Nov 18 12:18:20 2014 +1300

Adding the webservices plugin (Bug 1393530)

Adding in the plugin from
https://github.com/piersharding/mahara-contrib-auth-webservice

Change-Id: Ib5dea8c908cb5fd225687ecd37e80dc211dbe5f2
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2015-03-31
Changed in mahara:
status: In Progress → Fix Committed
Robert Lyon (robertl-9) on 2015-04-17
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints